<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript">
$('document').ready(function() {
	// 이 시점에는 'h2 a'가 없기 때문에 이벤트를 등록할 수 없으나
	// 아래와 같은 방식으로 이벤트를 등록하면 동적으로 이벤트를 등록할 수 ㅇㅆ다.
	$(document).on('mouseover focus', 'h2 a', function() {
		$(this).css({'color':'orange'});
	});
	
	$('h2').append('<a href="#">new element</a>')
});
</script>
</head>
<body>
	<h1>
		<a href="#">버튼</a>
	</h1>
	<h2></h2>
	<h3>
		<a href="#">하위요소1</a> <a href="#">하위요소2</a>
	</h3>
	<button id="btn">one</button>
	<span>0</span>
	<button id="clear">이벤트 제거</button>
</body>
</html>